[arch-commits] Commit in commoncpp2/repos (6 files)

Allan McRae allan at archlinux.org
Sat Dec 5 15:43:20 UTC 2015


    Date: Saturday, December 5, 2015 @ 16:43:19
  Author: allan
Revision: 148502

archrelease: copy trunk to community-staging-x86_64, community-staging-i686

Added:
  commoncpp2/repos/community-staging-i686/
  commoncpp2/repos/community-staging-i686/PKGBUILD
    (from rev 148501, commoncpp2/trunk/PKGBUILD)
  commoncpp2/repos/community-staging-i686/commoncpp2.install
    (from rev 148501, commoncpp2/trunk/commoncpp2.install)
  commoncpp2/repos/community-staging-x86_64/
  commoncpp2/repos/community-staging-x86_64/PKGBUILD
    (from rev 148501, commoncpp2/trunk/PKGBUILD)
  commoncpp2/repos/community-staging-x86_64/commoncpp2.install
    (from rev 148501, commoncpp2/trunk/commoncpp2.install)

---------------------------------------------+
 community-staging-i686/PKGBUILD             |   38 ++++++++++++++++++++++++++
 community-staging-i686/commoncpp2.install   |   22 +++++++++++++++
 community-staging-x86_64/PKGBUILD           |   38 ++++++++++++++++++++++++++
 community-staging-x86_64/commoncpp2.install |   22 +++++++++++++++
 4 files changed, 120 insertions(+)

Copied: commoncpp2/repos/community-staging-i686/PKGBUILD (from rev 148501, commoncpp2/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD	                        (rev 0)
+++ community-staging-i686/PKGBUILD	2015-12-05 15:43:19 UTC (rev 148502)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Franco Tortoriello <franco.tortoriello at gmail.com>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Jeff Mickey <jeff at archlinux.org>
+# Contributor: John Proctor <jproctor at prium.net>
+# Contributor: Alexander Rødseth <rodseth at gmail.com>
+
+pkgname=commoncpp2
+pkgver=1.8.1
+pkgrel=5
+pkgdesc="GNU Common C++ 2"
+arch=('x86_64' 'i686')
+url='http://www.gnu.org/software/commoncpp/'
+license=('GPL' 'custom')
+depends=('gcc-libs' 'zlib' 'sh')
+options=('!makeflags')
+install=$pkgname.install
+source=("http://ftp.gnu.org/pub/gnu/commoncpp/$pkgname-$pkgver.tar.gz")
+sha256sums=('53ced4aff74e28a1d8018eb2b4974519028db3c12471ab6dff1c873578c9af4e')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  sed -i -e '50 a\#include <sys/stat.h>' inc/cc++/applog.h
+  ./configure --prefix=/usr --mandir=/usr/share/man
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING.addendum \
+    "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: commoncpp2/repos/community-staging-i686/commoncpp2.install (from rev 148501, commoncpp2/trunk/commoncpp2.install)
===================================================================
--- community-staging-i686/commoncpp2.install	                        (rev 0)
+++ community-staging-i686/commoncpp2.install	2015-12-05 15:43:19 UTC (rev 148502)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(commoncpp2.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: commoncpp2/repos/community-staging-x86_64/PKGBUILD (from rev 148501, commoncpp2/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2015-12-05 15:43:19 UTC (rev 148502)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Sergej Pupykin <pupykin.s+arch at gmail.com>
+# Contributor: Franco Tortoriello <franco.tortoriello at gmail.com>
+# Contributor: Andrea Scarpino <andrea at archlinux.org>
+# Contributor: Jeff Mickey <jeff at archlinux.org>
+# Contributor: John Proctor <jproctor at prium.net>
+# Contributor: Alexander Rødseth <rodseth at gmail.com>
+
+pkgname=commoncpp2
+pkgver=1.8.1
+pkgrel=5
+pkgdesc="GNU Common C++ 2"
+arch=('x86_64' 'i686')
+url='http://www.gnu.org/software/commoncpp/'
+license=('GPL' 'custom')
+depends=('gcc-libs' 'zlib' 'sh')
+options=('!makeflags')
+install=$pkgname.install
+source=("http://ftp.gnu.org/pub/gnu/commoncpp/$pkgname-$pkgver.tar.gz")
+sha256sums=('53ced4aff74e28a1d8018eb2b4974519028db3c12471ab6dff1c873578c9af4e')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  sed -i -e '50 a\#include <sys/stat.h>' inc/cc++/applog.h
+  ./configure --prefix=/usr --mandir=/usr/share/man
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING.addendum \
+    "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: commoncpp2/repos/community-staging-x86_64/commoncpp2.install (from rev 148501, commoncpp2/trunk/commoncpp2.install)
===================================================================
--- community-staging-x86_64/commoncpp2.install	                        (rev 0)
+++ community-staging-x86_64/commoncpp2.install	2015-12-05 15:43:19 UTC (rev 148502)
@@ -0,0 +1,22 @@
+infodir=usr/share/info
+filelist=(commoncpp2.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list